Update Loan Product

Use this API to update the loan product details. You need to specify the loan product Id.

Example Requests:

PUT /loanproducts/1

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The associated loan product Id

Body Params
string

Name associated with loan product.
Example: Home Loan

string

Short name associated with a loan product.
Example: HL

string

A three letter ISO code of currency for the loan product.
Example: USD

integer

Override the currency default value for digitsAfterDecimal.
Example: 2

integer

The number of multiples of the currency.
Example: 10

integer

The principal amount for this loan product.
Example: 5000

integer

The number of repayments for the loan product.
Example: 12

integer

The repayment frequency for the loan product.
Example: 1

integer
enum

The repayment frequency type.

  • 0: Days
  • 1: Weeks
  • 2: Months
  • 3: Years
Allowed:
boolean

Indicates whether the repayment date should be rescheduled if it falls on a holiday.
If set to true, the repayment date will be adjusted based on the configured rescheduling rules.
If set to false, the repayment will remain scheduled on the original due date, even if it falls on a holiday.
Example: false

integer

Determines how the repayment due date should be adjusted when it falls on a non-working day.

  • 0 (INVALID): Invalid repayment reschedule type.
  • 1 (SAME_DAY): The due date remains unchanged.
  • 2 (MOVE_TO_NEXT_WORKING_DAY): The due date moves to the next working day.
  • 3 (MOVE_TO_NEXT_REPAYMENT_MEETING_DAY): The due date moves to the next scheduled repayment meeting day.
  • 4 (MOVE_TO_PREVIOUS_WORKING_DAY): The due date moves to the previous working day.
  • 5 (MOVE_TO_NEXT_MEETING_DAY): The due date moves to the next meeting day.
    Example: 1 (SAME_DAY)
string

The interest rate per period for the loan product.
Example: 5.25

integer
enum

The interest rate frequency type.

  • 2: Months
  • 3: Years
Allowed:
integer
enum

The amortization type of the loan product.

  • 0: Equal principal payments
  • 1: Equal installments
Allowed:
integer
enum

The interest type of the loan product.

  • 0: Flat
  • 1: Declining balance
Allowed:
integer
enum

The interest calculation period type.

  • 0: Daily
  • 1: Same as repayment period
Allowed:
integer
enum

This enumeration indicates the type of transaction processing strategy to be used.
List of transaction processing strategy Id.

  • 1: Penalties, Fees, Interest, Principal order
  • 2: HeavensFamily Unique
  • 3: Creocore Unique
  • 4: Overdue/Due Fee/Int,Principal
  • 5: Principal, Interest, Penalties, Fees Order
  • 6: Interest, Principal, Penalties, Fees Order
  • 7: Early Repayment Strategy
Allowed:
integer
enum

The accounting rule for the loan product.

  • 1: NONE
  • 2: CASH_BASED
  • 3: ACCRUAL_PERIODIC
  • 4: ACCRUAL_UPFRONT
Allowed:
boolean

Whether interest recalculation is enabled for the loan product.
Example: false

integer
enum

The days in month type.

  • 1: Actual
  • 2: 30 days
Allowed:
integer
enum

The days in year type.

  • 1: Actual
  • 360: 360 days
  • 364: 364 days
  • 365: 365 days
Allowed:
string

The locale for the loan product for principal amount.
Example: en

string

For providing helpful description of product offering.
Example: Home Loan

integer

For associating a loan product with a given fund by default.
Example: 1

integer

The installment amount in multiples of the currency.
Example: 10

integer

The minimum number of days allowed between a Loan disbursal and its first repayment.
Example: 10

integer

The tolerance amount assessed when determining if a loan is in arrear.
Example: 10

integer

Field represents percentage of current instalment principal amount for comparing against principal outstanding to add another repayment instalment.
If the outstanding principal amount is less then calculated amount, remaining outstanding amount will be added to current instalment.
Default value for multi disburse loan is 50% and non-multi disburse loan is 0%
Example: 10

boolean

If provided as true, then fixed instalment amount can be provided from loan account.
Example: true

integer

The number of repayment periods that grace should apply to the principal component of a repayment period.
Example: 10

integer

The number of repayment periods that grace should apply to the interest component of a repayment period.
Example: 10

integer

The number of repayment periods that should be interest-free.
Example: 10

integer

This used in Arrears amount calculation to only take into account loans that are more than graceOnArrearsAgeing days overdue.
Example: 10

integer

The maximum number of days a Loan may be overdue before being classified as a NPA (Non Performing Asset)
Example: 10

boolean

If provided as true, then the loan account moves out of NPA only when all arrears are cleared.
Example: true

boolean

If provided as true, then allow partial period interest calculation. This field value will be supported along with interestCalculationPeriodType as Same as repayment period to calculate interest for partial periods
Example: true

string

Whether the loans should include in loan cycle counter or not.
Example: true

boolean

whether the loans should depend on borrower loan cycle counter or not.
Example: true

principalVariationsForBorrowerCycle
array of objects

The principal variations for the borrower loan cycle. Mandatory if useBorrowerCycle is true.

principalVariationsForBorrowerCycle
interestRateVariationsForBorrowerCycle
array of objects

The interest rate variations for the borrower loan cycle. Mandatory if useBorrowerCycle is true.

interestRateVariationsForBorrowerCycle
numberOfRepaymentVariationsForBorrowerCycle
array of objects

The number of repayment variations for the borrower loan cycle. Mandatory if useBorrowerCycle is true.

numberOfRepaymentVariationsForBorrowerCycle
allowAttributeOverrides
object

The attribute overrides from the loan product while creating the loan.

charges
array of objects

List of charges associated with the account.
Example: []

charges
string

The date format for this loan product.

Headers
string
required
Defaults to z01j3e71zd6zkq908vyf5861a8

The ID of your banking instance visible in the MBANQ Console.

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json